if (${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_LIST_DIR})
    cmake_minimum_required(VERSION 3.16)
    cmake_policy(SET CMP0141 NEW)
    set(CMAKE_MSVC_DEBUG_INFORMATION_FORMAT "$<$<CONFIG:Debug,RelWithDebInfo>:Embedded>")
    project(ECAP_Server)
    set(ECAP_Server_VERSION 1.0.0)
    set(CMAKE_CXX_STANDARD 20)
    include(third_party/build_infra/start.cmake)
    include(third_party/CPP_Core/main.cmake)
    include(third_party/SSR/main.cmake)
    include(${CMAKE_SOURCE_DIR}/main.cmake)
    include(third_party/build_infra/end.cmake)
else ()
endif ()


